org.apache.olingo.commons.api.edm.provider

## Class CsdlBindingTarget

- java.lang.Object
- - org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem
  - - org.apache.olingo.commons.api.edm.provider.CsdlBindingTarget

- All Implemented Interfaces:
    CsdlAnnotatable, CsdlNamed
  Direct Known Subclasses:
    CsdlEntitySet, CsdlSingleton

      public abstract class CsdlBindingTarget
      extends CsdlAbstractEdmItem
      implements CsdlNamed, CsdlAnnotatable

  The type Csdl binding target.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CsdlMapping` | `mapping` Mapping for server use cases
    `protected String` | `name` The Name.
    `protected List<CsdlNavigationPropertyBinding>` | `navigationPropertyBindings` The Navigation property bindings.
    `protected String` | `title` The human readable title.
    `protected FullQualifiedName` | `type` The Type.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CsdlBindingTarget()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<CsdlAnnotation>` | `getAnnotations()` Returns a list of annotations
    `CsdlMapping` | `getMapping()`
    `String` | `getName()` Gets name.
    `List<CsdlNavigationPropertyBinding>` | `getNavigationPropertyBindings()` Gets navigation property bindings.
    `String` | `getTitle()`
    `String` | `getType()` Gets type.
    `FullQualifiedName` | `getTypeFQN()` Gets type fQN.
    `CsdlBindingTarget` | `setAnnotations(List<CsdlAnnotation> annotations)` Sets a list of annotations
    `CsdlBindingTarget` | `setMapping(CsdlMapping mapping)` Sets the mapping object for this binding target.
    `CsdlBindingTarget` | `setName(String name)` Sets name.
    `CsdlBindingTarget` | `setNavigationPropertyBindings(List<CsdlNavigationPropertyBinding> navigationPropertyBindings)` Sets navigation property bindings.
    `CsdlBindingTarget` | `setTitle(String title)` A human readable title for this instance
    `CsdlBindingTarget` | `setType(FullQualifiedName type)` Sets type.
    `CsdlBindingTarget` | `setType(String type)` Sets type.

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem

      `getAllByName, getOneByName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected String name

      The Name.

    - #### title

          protected String title

      The human readable title.

    - #### type

          protected FullQualifiedName type

      The Type.

    - #### navigationPropertyBindings

          protected List<CsdlNavigationPropertyBinding> navigationPropertyBindings

      The Navigation property bindings.

    - #### mapping

          protected CsdlMapping mapping

      Mapping for server use cases

  - ### Constructor Detail

    - #### CsdlBindingTarget

          public CsdlBindingTarget()

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `CsdlNamed`
      Gets name.
      Specified by:
        `getName` in interface `CsdlNamed`
      Returns:
        the name

    - #### setName

          public CsdlBindingTarget setName(String name)

      Sets name.
      Parameters:
        `name` - the name
      Returns:
        the name

    - #### getType

          public String getType()

      Gets type.
      Returns:
        the type

    - #### getTypeFQN

          public FullQualifiedName getTypeFQN()

      Gets type fQN.
      Returns:
        the type fQN

    - #### setType

          public CsdlBindingTarget setType(String type)

      Sets type.
      Parameters:
        `type` - the type
      Returns:
        the type

    - #### setType

          public CsdlBindingTarget setType(FullQualifiedName type)

      Sets type.
      Parameters:
        `type` - the type
      Returns:
        the type

    - #### getNavigationPropertyBindings

          public List<CsdlNavigationPropertyBinding> getNavigationPropertyBindings()

      Gets navigation property bindings.
      Returns:
        the navigation property bindings

    - #### setNavigationPropertyBindings

          public CsdlBindingTarget setNavigationPropertyBindings(List<CsdlNavigationPropertyBinding> navigationPropertyBindings)

      Sets navigation property bindings.
      Parameters:
        `navigationPropertyBindings` - the navigation property bindings
      Returns:
        the navigation property bindings

    - #### getAnnotations

          public List<CsdlAnnotation> getAnnotations()

      Description copied from interface: `CsdlAnnotatable`
      Returns a list of annotations
      Specified by:
        `getAnnotations` in interface `CsdlAnnotatable`
      Returns:
        list of annotations

    - #### setAnnotations

          public CsdlBindingTarget setAnnotations(List<CsdlAnnotation> annotations)

      Sets a list of annotations
      Parameters:
        `annotations` - list of annotations
      Returns:
        this instance

    - #### getTitle

          public String getTitle()

    - #### setTitle

          public CsdlBindingTarget setTitle(String title)

      A human readable title for this instance
      Parameters:
        `title` -
      Returns:
        this instance

    - #### getMapping

          public CsdlMapping getMapping()

    - #### setMapping

          public CsdlBindingTarget setMapping(CsdlMapping mapping)

      Sets the mapping object for this binding target.
      Parameters:
        `mapping` -
      Returns:
        this instance

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.